Summary: The Vorbis General Audio Compression Codec.
Name:		libvorbis10rc3
Version:	1.0rc3
Release: 	1.1
Group: System Environment/Libraries
Copyright:	BSD
URL:		http://www.xiph.org/
Source:		http://www.xiph.org/ogg/vorbis/download/libvorbis-%{version}.tar.gz
Patch:		libvorbis-1.0rc3-libdep.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg
Provides:	libvorbis = %{version}-%{release}
BuildPrereq: 	perl, libogg-devel

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The libvorbis package contains runtime libraries for use in programs
that support Ogg Voribs.

%prep
%setup -q -n libvorbis-%{version}
%patch -p1
perl -p -i -e "s/-O20/$RPM_OPT_FLAGS/" configure
perl -p -i -e "s/-ffast-math//" configure

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# libtool is fun. really.
cd lib
rm -rf .libs *.la
make
cp -a .libs/libvorbis{enc,file}* $RPM_BUILD_ROOT/usr/lib
cd ..

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README todo.txt
%exclude %{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*
# Ex devel
%exclude %{_includedir}/vorbis
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.so
%exclude %{_datadir}/aclocal/vorbis.m4

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Tue Aug 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Repackage as compat libvorbis10rc3 package.

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 1.0rc3

* Thu Aug 16 2001 Bill Nottingham <notting@redhat.com>
- fix bug in floor backend (<michael@stroucken.org>)

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split out from the main vorbis package

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
